Returns a single metaobject by id, including its definition, handle and fields. To fetch it by its type and slug instead, use Retrieve a metaobject by handle.
Headers
Name
Type
Required
Description
Flowkiwi-Locale
string
-
Specifies the locale for properties that support localization. If not provided, the default locale will be used.
Path parameters
Name
Type
Required
Description
id
string
required
Metaobject identifier
Query parameters
Name
Type
Required
Description
properties[]
string[]
-
Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
Response
200 - Metaobject resource
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
handle
string
-
The metaobject's unique slug within its definition type.
id
string
-
The resource's unique identifier (UUID).
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
Property
Type
Required
Description
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
Show fields fields
Property
Type
Required
Description
key
string
-
The field key (matches a field definition key).
metaobject
Metaobject[]
-
The referenced metaobject(s). Populated when ?expand=metaobject is requested. Requires the metaobjects:read scope. Returned empty when the scope is missing.
Show metaobject fields
Property
Type
Required
Description
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
handle
string
-
The metaobject's unique slug within its definition type.
id
string
-
The resource's unique identifier (UUID).
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).